I’m running Catalina 10.15.2 and today i tried to install “brew”. During the installation, it required x-code-select, i installed it and got this error “Can’t install the software because it is not currently available from the Software Update server”.

I tried to install X-code, but it didn’t help. Finally i had to go to this place https://developer.apple.com/download/more/ and search for Command Line tools to install.